## clean up an existing build folder (if any), make a new one, and pop into it
rm -rf build
mkdir build
cd build

# configure a release version, build it, and copy it to it's destination
../configure --disable-debug --disable-fvisibility CXXFLAGS="-stdlib=libc++ -mmacosx-version-min=10.10"
make -j8
cp .libs/libmp4v2.a ../lib/mac/Release/libmp4v2_86.a

rm -f libs/*.a
cd ..

rm -rf build
mkdir build
cd build

../configure --disable-debug --disable-fvisibility CXXFLAGS="-stdlib=libc++ -target arm64-apple-macos11"

make -j8
cp .libs/libmp4v2.a ../lib/mac/Release/libmp4v2_ARM.a

cd ../lib/mac/Release
lipo -create -output libmp4v2.a libmp4v2_86.a libmp4v2_ARM.a

# pop back out and clean up
# should probably delete the _86.a and _ARM.a files as well here
cd ../../..
rm -rf build
